xmonad-contrib-0.11.2: Third party extensions for xmonad

Portability | unportable
Stability | unstable
Maintainer | Andrea Rossato <andrea.rossato@unibz.it>
Safe Haskell | None

XMonad.Layout.DragPane

Contents

- Usage

Description

Layouts that splits the screen either horizontally or vertically and shows two windows. The first window is always the master window, and the other is either the currently focused window or the second window in layout order.

Synopsis

- dragPane :: DragType -> Double -> Double -> DragPane a
- data DragPane a
- data DragType
  - = Horizontal
  - | Vertical

# Usage

You can use this module with the following in your `~/.xmonad/xmonad.hs`:

     import XMonad.Layout.DragPane

Then edit your `layoutHook` by adding the DragPane layout:

     myLayout = dragPane Horizontal 0.1 0.5 ||| Full ||| etc..
     main = xmonad defaultConfig { layoutHook = myLayout }

For more detailed instructions on editing the layoutHook see:

XMonad.Doc.Extending

dragPane :: DragType -> Double -> Double -> DragPane aSource

data DragPane a Source

Instances

LayoutClass DragPane a |
Read (DragPane a) |
Show (DragPane a) |

data DragType Source

Constructors

Horizontal |
Vertical |

Instances

Read DragType |
Show DragType |